﻿using System.CommandLine;
using MycroForge.CLI.Commands.Interfaces;

namespace MycroForge.CLI.Commands;

public partial class MycroForge
{
    public partial class Entity : Command, ISubCommandOf<MycroForge>
    {
        public Entity(IEnumerable<ISubCommandOf<Entity>> commands) :
            base("entity", "Manage the entities in your project")
        {
            foreach (var command in commands.Cast<Command>())
                AddCommand(command);
        }
    }
}